Bug 2730 - Change urpmi default behavior to select dependencies automatically
: Change urpmi default behavior to select dependencies automatically
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 12:53 MSD by Denis Silakov
Modified: 2013-10-10 13:05 MSD (History)
2 users (show)

See Also:
RPM Package: urpmi
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
not localized (199.47 KB, image/png)
2013-10-04 18:30 MSD, Vladimir Potapov
Details
not localized (225.00 KB, image/png)
2013-10-04 18:32 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-10-01 12:53:15 MSD
Currently urpmi by default asks user to choose between possible alternatives; you can use '--auto' to override this behavior, but '--auto' assumes default answer to all questions, not only dependency selection.

Several months ago we have turned on automated dependency selection by default in Rpmdrake and there was no claiming from users since that time. So we believe that it is time to implement similar behavior in urpmi - since it turns out that even maintainers don't think much about selection between several alternatives and just select the first available option.
Comment 1 Denis Silakov 2013-10-01 12:58:43 MSD
Advisory:
Added two new options to urpmi - '--auto-req' and '--no-auto-req' that turn automatic dependency selection on/off. By default, automatic selection is turned on. You can use '--no-auto-req' option or add 'no-auto-req' to global options in /etc/urpmi/urpmi.cfg to change this behavior. '--auto-req' option is required for the case when you have 'no-auto-req' in /etc/urpmi/urpmi.cfg but want to turn on automatic selection for particular invocation.

Note that behavior of '--auto' option remains the same, so if you specify '--auto' urpmi will not ask you any questions. Difference between '--auto' and '--auto-req' is that the latter option only affects dependency selection; it is still possible that urpmi will ask you some questions (e.g., "Continue (Y/n)"?).


Build lists:
https://abf.rosalinux.ru/build_lists/1337582
https://abf.rosalinux.ru/build_lists/1337563
Comment 2 Vladimir Potapov 2013-10-04 18:30:43 MSD
Created attachment 1952 [details]
not localized
Comment 3 Vladimir Potapov 2013-10-04 18:32:25 MSD
Created attachment 1954 [details]
not localized
Comment 4 Denis Silakov 2013-10-08 12:32:42 MSD
New build lists:

https://abf.rosalinux.ru/build_lists/1339785
https://abf.rosalinux.ru/build_lists/1339784

Note that the change concerning 'download-all' option (in the second attachment) was added several months ago;)
Comment 5 Vladimir Potapov 2013-10-09 17:34:56 MSD
urpmi-6.71-39-rosa2012.1
******************* Advisory *********************
Added two new options to urpmi - '--auto-req' and '--no-auto-req' that turn automatic dependency selection on/off. By default, automatic selection is turned on. You can use '--no-auto-req' option or add 'no-auto-req' to global options in /etc/urpmi/urpmi.cfg to change this behavior. '--auto-req' option is required for the case when you have 'no-auto-req' in /etc/urpmi/urpmi.cfg but want to turn on automatic selection for particular invocation.

Note that behavior of '--auto' option remains the same, so if you specify '--auto' urpmi will not ask you any questions. Difference between '--auto' and '--auto-req' is that the latter option only affects dependency selection; it is still possible that urpmi will ask you some questions (e.g., "Continue (Y/n)"?).
***************************************************
QA Verified